Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.547.233 Times

DU Meter 3.02

Company: Hagel Technologies
Date Added: August 18, 2014  |  Visits: 8.756
5 Stars5 Stars5 Stars5 Stars5 Stars

DU Meter
Full screenshot

Report Broken Link
Printer Friendly Version
Order Now

Product Homepage
Download (1302 downloads)



DU Meter is a powerful and user-friendly tool that will enable you to use your Internet connection more efficiently. DU Meter lets you see how much of your full bandwidth potential is actually utilized at any given point in time, either by displaying a real-time graph, numerical display, or both. It works with Dial-Up, ISDN, Cable Modem, and Ethernet cards. The current version presents several great features, including full logging capabilities, an auto-hide feature, an option to remove the DU Meter window caption, a great stopwatch which accurately times your downloads and reports the average transfer rates, plus full compatibility with Win95/98/ME/NT4/2000/XP.

Requirements: 32 mb RAM
Install Support: Install and Uninstall
Platforms: Windows 95, Windows 98, Windows Me, Windows NT 4.x, Windows 2000, Windows XP
Keyword: Data Transfer Download Maxmtu Meter Modem Monitor Mtu Network Throughput
Users rating: 8/10

License: Shareware Cost: $19.95 USD Size: 928 KB
USER REVIEWS
(13 November 2016, 18:40)

Comments:

It's not working on my computer. After successful installation when I open the program it's showing a "service data stale" message.
Ease of use : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
Functionality : 1.5 Stars1.5 Stars1.5 Stars1.5 Stars1.5 Stars
Value for money : 1.5 Stars1.5 Stars1.5 Stars1.5 Stars1.5 Stars
Overall score : 1.5 Stars1.5 Stars1.5 Stars1.5 Stars1.5 Stars
 
(10 June 2015, 11:06)

Comments:

DU meter is a reliable software. I can monitor my internet speed real-time from taskbar window easily.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(21 April 2015, 11:48)

Comments:

It's a very helpful application for monitoring internet bandwidth.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(18 March 2015, 11:51)

Comments:

It doesn't show the data transfer rate when I use bluetooth tethering. But when I use LAN connection it shows the rate normally.
Ease of use : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
Functionality : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
Value for money : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
Overall score : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
 
(25 January 2015, 08:21)

Comments:

I use it always. It's only $9 but does an excellent job for me.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(25 October 2014, 09:17)

Comments:

Works great! It's very useful to check internet speed real time. Installation was fast and easy.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review


DU METER RELATED
Word Processing  -  Data Transfer Software 2.0.0
Data Transfer Software is a remarkable File Copy software developed to transfer multiple files from one computer to other, within a network or otherwise. USP of this tool is it allows the user to preserve date and time stamp or customize it. Tool...
1.05 MB  
Dial-up Networking Tools  -  NetNak 8.1.0
NetNak is a small system-tray utility that graphically displays the data-transfer rate of your modem, cable DSL etc. It's attractive, easy to use. You see real-time graphs and text for both sent and received data. If you wish, you can set the...
590 KB  
Dial-up Networking Tools  -  NetNak 2003 V1.0.
NetNak is a small system-tray utility that graphically displays the data-transfer rate of your modem, cable DSL etc. It's attractive and easy to use. You see real-time graphs and text for both sent and received data. If you wish, you can set the...
619 KB  
Dial-up Networking Tools  -  HSLAB Modem Monitor 3.1.1
Modem Monitor is a program for monitoring a status and performance of the remote(or local) modem or any network interface. Modem Monitor is a unique in industry program, which allows to monitor not only per-connection statistics. It allows to...
2.15 MB  
Windows Software  -  HSLAB Modem Monitor Lite 3.1.1.1
Modem Monitor is a program for monitoring a status and performance of the remote(or local) modem or any network interface. Modem Monitor is a unique in industry program, which allows to monitor not only per-connection statistics. It allows to...
2.15 MB  
Dial-up Networking Tools  -  HSLAB Modem Monitor Free 3.1.1
Modem Monitor is a program for monitoring a status and performance of the remote(or local) modem or any network interface. Modem Monitor is a unique in industry program, which allows to monitor not only per-connection statistics. It allows to...
2.2 KB  
Word Processing  -  Data Copy Manager 2.0.6
Data copy manager is a tool for copying and moving files and folders while preserving the date and time of the files. It is very helpful in moving the bilk of data from one computer to another with the same time or by customizing the date and time...
3.31 MB  
File Synchronizers  -  iPhone to Android Transfer 3.1.2
iPhone to Android Transfer is the best data transfer software on the market. Data including Contacts, Calendar, Call logs, SMS, Photo and Music can be trasferred fully and comprehensively from iPhone to Android, Android to Android devices with...
23.95 MB  
Backup Utilities  -  Syncios Data Transfer for Mac 1.2.4
Ready to make the switch from Android to iPhone or from iPhone to Android? SynciOS Data Transfer for Mac makes it easier when you migrate data on phones of different mobile Operating Systems. You can not only transfer contacts, text messages,...
33.48 MB  
Backup Utilities  -  Syncios Data Transfer 1.5.6
Syncios Data Transfer is an easy-to-use yet powerful phone to phone transfer tool. Transfer from iOS to Android, Android to iOS, Android to Android and iOS to iOS are all allowed. It supports almost all files, including contacts, text messages,...
56.11 MB  
NEW DOWNLOADS IN NETWORK & INTERNET, NETWORK MONITORS
Network & Internet  -  IOTransfer for Windows 1.2.0.3828
IOTransfer is a light yet useful iOS transfer and management tool which helps iPhone, iPad and iPod users manage their iOS content on computers. It provides users with a simple and convenient way to freely import and export music, videos, photos,...
22.02 MB  
Network & Internet  -  vShare Download 2.1.4
Most apps store can't download and install apps, game, wallpaper, ringtone, without any cost for iPhone, iPad, iPod touch, Android and Windows computer, but vShare is the great place for free download and install more than million of apps and...
67.23 KB  
Network & Internet  -  SoftPerfect Connection Emulator 1.7
SoftPerfect Connection Emulator (SCE) is a WAN environment emulator for network application developers, system administrators and network engineers. Software developers creating network-enabled applications, especially time-critical ones like VoIP...
5.77 MB  
Network & Internet  -  WebSearcher 2016 1.1.86
Get better search results with WebSearcher. Get more and varied search results because WebSearcher searches the web by countries, not you're location. WebSearcher has no limit on the amount of results it returns. Find exactly what you're looking...
7.99 MB  
Network & Internet  -  Advanced Time Synchronizer 4.3.0.807
Advanced Time Synchronizer is a PC clock synchronizer. It works with time servers on the Internet, supports main time synchronization protocols, proxy servers, auto-dialing and more. Advanced Time Synchronizer connects to all the servers in the...
10.27 MB  
Network Monitors  -  Net Monitor for Employees Professional 5.4.5
Net Monitor for Employees lets you see what everyone's doing - without leaving your desk. Monitor the activity of all the PCs in your company remotely. Plus you can share your screen with your employees PCs, making demos and presentations much...
32.36 MB  
Network Monitors  -  USB Analyzer 4.0.259
USB Analyzer is a powerful tool for monitoring USB port activities on Windows. It enables intercepting, displaying, recording and analyzing data exchanged between applications and devices via USB ports in the system. The data collected is...
964.26 KB  
Network Monitors  -  FirePlotter 2.24b170221
FirePlotter is a real-time session monitor for your firewall. FirePlotter, simply shows you the traffic that is flowing through your internet connection moment to moment - in real-time. FirePlotter can also be described as a firewall traffic...
2.41 MB  
Network Monitors  -  Slitheris Network Discovery 1.1.218
Slitheris Network Discovery is much more than a typical IP scanner, capable of scanning 100 network devices in about 5 minutes! Most network scanners detect the basics like the MAC Address, but leave the OS field empty and don't even bother...
5.51 MB  
Network Monitors  -  ServiceTonic Network Discovery Tool 1.0
ServiceTonic Network Discovery Tool it is a network scanning tool that allows you to: - Discover automatically your network equipment (computers, servers and domain servers). - Generate an inventory of Windows computers, with printers, monitors,...
352.86 MB